Subject: Re: install suggestion (Re: groff/man)
From: [email-masked] (Alex)

18 Nov 1997 19:10:58 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: raf <[email-masked]>
Cc: [email-masked]

On Tue, 18 Nov 1997, raf wrote:

> >I did compile man / groff from Linux sources without problems.
> 
> >I just edited the MakeFiles a bit ( mostly to change the /usr/bin and 
> >other 'standard unix directories' ) to fit my cygnus configuration.
> 
> >I also changed the name of the executables adding a ".EXE" so that 
> >"make install" could work.
> 
> which reminds me - why doesn't install cope with arguments without .exe?
> are there any reasons why it shouldn't be masde to do so?

Yeah.  I was wondering that too.  Upon examination there are two install
programs.  Install.exe and install-sh.  Install.exe is some binary program
with no apparent source, install-sh is ansh script, that _does_ check for
..exe, however most programs (in fact all..) that I've seen check for
install and not install-sh.  Rename install.exe to install.ex_ or delete
it, and rename install-sh to install.  This should solve everything.

> changing install commands in makefiles would surely be a good thing to avoid.

- alex

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".